Bug 102714 - linux-2.4.20-rmap-updates.patch differs in 9/8.0/7.3 2.4.20-19.x kernels
linux-2.4.20-rmap-updates.patch differs in 9/8.0/7.3 2.4.20-19.x kernels
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-20 04:19 EDT by Axel Thimm
Modified: 2015-01-04 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-21 11:34:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2003-08-20 04:19:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
While all other sources and patches are identical in the
latest errata kernels for 9/8.0/7.3 (some turned on only for nptl),

          linux-2.4.20-rmap-updates.patch

differs slightly:
@@ -400,7 +400,7 @@
        ret += rebalance_inactive(gfp_mask, 100);
        ret += shrink_dcache_memory(DEF_PRIORITY, gfp_mask);
        ret += shrink_icache_memory(1, gfp_mask);
-+      ret += try_to_reclaim_buffers(DEF_PRIORITY, gfp_mask);
++      try_to_reclaim_buffers(DEF_PRIORITY, gfp_mask);
        // ret += shrink_other_caches( DEF_PRIORITY, gfp_mask); 
  #ifdef CONFIG_QUOTA
        ret += shrink_dqcache_memory(DEF_PRIORITY, gfp_mask);

Is that on purpose? If not, which is the correct patch to use?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Unpack the src.rpm for RH9 and one of RH8.0 or RH7.3.
2. Compare all files.
3. Only file that differs is the above one.


Actual Results:  The files differ (see diff in description)

Expected Results:  All files should be equal.

Additional info:

If this is on prupose, please rename the file for RH9 to
allow the different kernel sources/patches to coexists in the same
folder.
Comment 1 Rik van Riel 2003-08-20 06:49:28 EDT
The second variant is the correct one.

Note You need to log in before you can comment on or make changes to this bug.